org.keycloak.representations.idm

## Class CredentialRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.CredentialRepresentation

-     public class CredentialRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `counter` Deprecated.
    `protected String` | `device` Deprecated.
    `protected String` | `hashedSaltedValue` Deprecated.
    `protected Integer` | `hashIterations` Deprecated.
    `static String` | `HOTP`
    `static String` | `KERBEROS`
    `static String` | `PASSWORD`
    `protected String` | `salt` Deprecated.
    `static String` | `SECRET`
    `protected Boolean` | `temporary`
    `static String` | `TOTP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAlgorithm()` Deprecated.
    `MultivaluedHashMap<String,String>` | `getConfig()` Deprecated.
    `Integer` | `getCounter()` Deprecated.
    `Long` | `getCreatedDate()`
    `String` | `getCredentialData()`
    `String` | `getDevice()` Deprecated.
    `Integer` | `getDigits()` Deprecated.
    `String` | `getHashedSaltedValue()` Deprecated.
    `Integer` | `getHashIterations()` Deprecated.
    `String` | `getId()`
    `Integer` | `getPeriod()` Deprecated.
    `Integer` | `getPriority()`
    `String` | `getSalt()` Deprecated.
    `String` | `getSecretData()`
    `String` | `getType()`
    `String` | `getUserLabel()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `Boolean` | `isTemporary()`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setCredentialData(String credentialData)`
    `void` | `setId(String id)`
    `void` | `setPriority(Integer priority)`
    `void` | `setSecretData(String secretData)`
    `void` | `setTemporary(Boolean temporary)`
    `void` | `setType(String type)`
    `void` | `setUserLabel(String userLabel)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECRET

          public static final String SECRET

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### TOTP

          public static final String TOTP

      See Also:
        Constant Field Values

    - #### HOTP

          public static final String HOTP

      See Also:
        Constant Field Values

    - #### KERBEROS

          public static final String KERBEROS

      See Also:
        Constant Field Values

    - #### temporary

          protected Boolean temporary

    - #### device

          @Deprecated
          protected String device

      Deprecated.

    - #### hashedSaltedValue

          @Deprecated
          protected String hashedSaltedValue

      Deprecated.

    - #### salt

          @Deprecated
          protected String salt

      Deprecated.

    - #### hashIterations

          @Deprecated
          protected Integer hashIterations

      Deprecated.

    - #### counter

          @Deprecated
          protected Integer counter

      Deprecated.

  - ### Constructor Detail

    - #### CredentialRepresentation

          public CredentialRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getUserLabel

          public String getUserLabel()

    - #### setUserLabel

          public void setUserLabel(String userLabel)

    - #### getSecretData

          public String getSecretData()

    - #### setSecretData

          public void setSecretData(String secretData)

    - #### getCredentialData

          public String getCredentialData()

    - #### setCredentialData

          public void setCredentialData(String credentialData)

    - #### getPriority

          public Integer getPriority()

    - #### setPriority

          public void setPriority(Integer priority)

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### isTemporary

          public Boolean isTemporary()

    - #### setTemporary

          public void setTemporary(Boolean temporary)

    - #### getDevice

          @Deprecated
          public String getDevice()

      Deprecated.

    - #### getHashedSaltedValue

          @Deprecated
          public String getHashedSaltedValue()

      Deprecated.

    - #### getSalt

          @Deprecated
          public String getSalt()

      Deprecated.

    - #### getHashIterations

          @Deprecated
          public Integer getHashIterations()

      Deprecated.

    - #### getCounter

          @Deprecated
          public Integer getCounter()

      Deprecated.

    - #### getAlgorithm

          @Deprecated
          public String getAlgorithm()

      Deprecated.

    - #### getDigits

          @Deprecated
          public Integer getDigits()

      Deprecated.

    - #### getPeriod

          @Deprecated
          public Integer getPeriod()

      Deprecated.

    - #### getConfig

          @Deprecated
          public MultivaluedHashMap<String,String> getConfig()

      Deprecated.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.